Attribute VB_Name = "Notify"
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'   ibnotify DLL entry function declaration
 Declare Function ibnotify32 Lib "Gpib-32.dll" Alias "ibnotify" (ByVal ud As Long, ByVal mask As Long, ByVal Callback As Long, RefData As Any) As Long


Sub ibnotify(ByVal ud As Integer, ByVal mask As Integer, Callback As Long, ByRef RefData As Variant)
' Check to see if GPIB Global variables are registered
    If (GPIBglobalsRegistered = 0) Then
      Call RegisterGPIBGlobals
    End If

' Call the 32-bit DLL.
    Call ibnotify32(ud, mask, Callback, RefData)
    
    Call copy_ibvars
End Sub


Function ilnotify(ByVal ud As Integer, ByVal mask As Integer, Callback As Long, ByRef RefData As Variant) As Integer
' Check to see if GPIB Global variables are registered
    If (GPIBglobalsRegistered = 0) Then
      Call RegisterGPIBGlobals
    End If

' Call the 32-bit DLL.
    ilnotify = ConvertLongToInt(ibnotify32(ud, mask, Callback, RefData))
    
    Call copy_ibvars
End Function


Private Function ConvertLongToInt(LongNumb As Long) As Integer
  
  If (LongNumb And &H8000&) = 0 Then
      ConvertLongToInt = LongNumb And &HFFFF&
  Else
    ConvertLongToInt = &H8000 Or (LongNumb And &H7FFF&)
  End If
    
End Function
